import { axios } from '@/utils/request'

//  收货地址 列表  有分页
export const dealerRecevieAddrList = (params) => {
  const url = `/dealerRecevieAddr/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('收货地址列表')
    }
  })
}
//  收货地址 列表
export const dealerRecevieAddrQuery = (params) => {
  return axios({
    url: '/dealerRecevieAddr/queryList',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('收货地址列表')
    }
  })
}
//  收货地址 保存
export const dealerRecevieAddrSave = (params) => {
  return axios({
    url: '/dealerRecevieAddr/save',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('保存收货地址')
    }
  })
}
//  收货地址 设置默认
export const dealerRecevieAddrSet = (params) => {
  return axios({
    url: `/dealerRecevieAddr/setDefault/${params.id}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('设置默认地址')
    }
  })
}
//  收货地址 删除
export const dealerRecevieAddrDel = (params) => {
  return axios({
    url: `/dealerRecevieAddr/delete/${params.id}`,
    data: {},
    method: 'get',
    headers:{
      'module': encodeURIComponent('删除收货地址')
    }
  })
}
