import { axios } from '@/utils/request'

//  erp数据同步记录 列表  有分页
export const queryReceivePage = (params) => {
  const url = `/mqmsg/queryReceivePage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
        'module': encodeURIComponent('列表查询')
    }
  })
}
//  erp数据同步记录 重新同步
export const handle = (params) => {
  const url = `/mqmsg/handle/${params.id}`
  return axios({
    url: url,
    method: 'get',
    headers:{
        'module': encodeURIComponent('重新同步')
    }
  })
}
// 钉钉审批
export const checkOptionTask = (params) => {
  const url = `/checkOptionTask`
  return axios({
    url: url,
    data:params,
    method: 'post',
    headers:{
        'module': encodeURIComponent('钉钉审批')
    }
  })
}
//  erp数据校验查询 列表  有分页
export const queryCheckResultPage = (params) => {
  const url = `/report/datacheck/queryCheckResult/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
        'module': encodeURIComponent('erp数据校验列表查询')
    }
  })
}
// erp数据校验处理 
export const datacheckModify = (params) => {
  const url = `/report/datacheck/modifyById`
  return axios({
    url: url,
    data:params,
    method: 'post',
    headers:{
        'module': encodeURIComponent('erp数据校验处理')
    }
  })
}
// erp数据校验重新验证 
export const datacheckReset = (params) => {
  const url = `/report/datacheck/check`
  return axios({
    url: url,
    data:params,
    method: 'post',
    headers:{
        'module': encodeURIComponent('erp数据校验重新验证')
    }
  })
}