import { axios } from '@/utils/request'

//  轮胎省仓管理列表  有分页
export const tireStorageList = (params) => {
  const url = `/provinceServiceCenter/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 选择经销商  列表
export const chooseDealerList = (params) => {
  const url = `/provinceServiceCenter/queryDealerPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 批量添加 经销商
export const saveBatchDealerList = (params) => {
  return axios({
    url: '/provinceServiceCenter/saveBatch',
    data: params,
    method: 'post'
  })
}

// 轮胎省仓管理   启用禁用
export const tireStorageEnable = (params) => {
  return axios({
    url: '/provinceServiceCenter/updateDisableOrEnable',
    data: params,
    method: 'post'
  })
}

// 变更记录
export const changeRecordList = (params) => {
  return axios({
    url: '/provinceServiceCenter/changeRecord',
    data: params,
    method: 'post'
  })
}
