import { axios } from '@/utils/request'

//  入库确认 列表 有分页
export const stockPutList = (params) => {
  const url = `/stockPut/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('列表查询')
    }
  })
}
//  入库确认
export const stockPutConfirm = (params) => {
  return axios({
    url: '/stockPut/confirm',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('入库确认')
    }
  })
}
//  入库确认 明细 列表 有分页
export const stockPutDetailList = (params) => {
  const url = `/stockPut/queryDetailPage/${params.sn}/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('明细列表查询')
    }
  })
}
