import { axios } from '@/utils/request'

// //  产品分类 列表   一层分类查询   无分页
// export const productTypeQueryList = (params) => {
//   return axios({
//     url: '/productType/queryList',
//     data: params,
//     method: 'post'
//   })
// }
//  产品分类 列表  多层分类查询   无分页
export const productTypeQuery = (params) => {
  return axios({
    url: '/productType/query',
    data: params,
    method: 'post',
    headers:{
        'module': encodeURIComponent('产品分类列表')
    }
  })
}
//  产品分类 列表  多层分类查询   无分页   有启禁用
export const productTypeQueryAll = (params) => {
  return axios({
    url: '/productType/queryAll',
    data: params,
    method: 'post',
    headers:{
        'module': encodeURIComponent('产品分类列表')
    }
  })
}
// 产品分类  新增/编辑
export const productTypeSave = params => {
  return axios({
    url: '/productType/save',
    data: params,
    method: 'post',
    headers:{
        'module': encodeURIComponent('新增/编辑')
    }
  })
}
// 产品分类  删除
export const productTypeDel = params => {
  return axios({
    url: `/productType/delete/${params.sn}`,
    data: {},
    method: 'get',
    headers:{
        'module': encodeURIComponent('删除')
    }
  })
}
